For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
    • Index content
    • Manage videos
    • Manage entities
      • GETList entity collections
      • POSTCreate an entity collection
      • GETRetrieve an entity collection
      • PATCHUpdate an entity collection
      • DELDelete an entity collection
      • GETList entities in an entity collection
      • POSTCreate an entity
      • POSTCreate multiple entities in bulk
      • GETRetrieve an entity
      • PATCHUpdate an entity
      • DELDelete an entity
      • POSTAdd assets to an entity
      • DELRemove assets from an entity
      • GETList entities for an asset
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceManage entities

List entities in an entity collection

GET
https://api.twelvelabs.io/v1.3/entity-collections/:entity_collection_id/entities
GET
/v1.3/entity-collections/:entity_collection_id/entities
$curl -G https://api.twelvelabs.io/v1.3/entity-collections/6298d673f1090f1100476d4c/entities \
> -H "x-api-key: <apiKey>" \
> --data-urlencode "name=My entity" \
> -d status=ready \
> -d sort_by=created_at
1{
2 "data": [
3 {
4 "_id": "6298d673f1090f1100476d4c",
5 "entity_collection_id": "7309e784f2191g2211587e5d",
6 "name": "John Doe",
7 "description": "Famous soccer player",
8 "metadata": {
9 "sport": "soccer",
10 "team": "Team A",
11 "role": "forward"
12 },
13 "asset_ids": [
14 "6298d673f1090f1100476d4c",
15 "6298d673f1090f1100476d4d"
16 ],
17 "status": "ready",
18 "created_at": "2022-06-02T10:30:00Z",
19 "updated_at": "2022-06-02T10:30:00Z"
20 }
21 ],
22 "page_info": {
23 "limit_per_page": 10,
24 "page": 1,
25 "total_page": 1,
26 "total_results": 2
27 }
28}
This method returns a list of the entities in the specified entity collection.
Was this page helpful?
Previous

Create an entity

Next
Built with

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

entity_collection_idstringRequired
The unique identifier of the entity collection for which the platform will retrieve the entities.

Query parameters

pageintegerOptionalDefaults to 1

A number that identifies the page to retrieve.

Default: 1.

page_limitintegerOptionalDefaults to 10

The number of items to return on each page.

Default: 10. Max: 50.

namestringOptional
Filter entities by name.
statusenumOptional
Filter entities by status.
Allowed values:
sort_byenumOptionalDefaults to created_at
The field to sort on. The following options are available: - `created_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the entity was created. - `updated_at:` Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the entity collection was updated. - `name`: Sorts by the name.
Allowed values:
sort_optionstringOptionalDefaults to desc
The sorting direction. The following options are available: - `asc` - `desc` **Default**: `desc`.

Response

The entities have been successfully retrieved.
datalist of objects
An array containing the entities.
page_infoobject
An object that provides information about pagination.

Errors

400
Bad Request Error

Your API key.

Note

You can find your API key on the API Keys page.

The field to sort on. The following options are available:

  • created_at: Sorts by the time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the entity was created.
  • updated_at: Sorts by the time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the entity collection was updated.
  • name: Sorts by the name.

The sorting direction. The following options are available:

  • asc
  • desc

Default: desc.